org.bdgenomics.adam.projections

# FeatureField

###
Related Doc: package projections

#### object FeatureField extends FieldEnumeration

Enumeration of Feature field names for predicates and projections.

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FeatureField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### val aliases: SchemaVal

10. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### val attributes: SchemaVal

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### val contigName: SchemaVal

15. #### val dbxrefs: SchemaVal

16. #### val derivesFrom: SchemaVal

17. #### val end: SchemaVal

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### val exonId: SchemaVal

21. #### val featureId: SchemaVal

22. #### val featureType: SchemaVal

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### val frame: SchemaVal

25. #### val gap: SchemaVal

26. #### val geneId: SchemaVal

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

29. #### val isCircular: SchemaVal

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### final def maxId: Int

    Definition Classes
      Enumeration

32. #### val name: SchemaVal

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

35. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

36. #### val notes: SchemaVal

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### val ontologyTerms: SchemaVal

40. #### val parentIds: SchemaVal

41. #### val phase: SchemaVal

42. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

43. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

44. #### val score: SchemaVal

45. #### val source: SchemaVal

46. #### val start: SchemaVal

47. #### val strand: SchemaVal

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### val target: SchemaVal

50. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

51. #### val transcriptId: SchemaVal

52. #### def values: ValueSet

    Definition Classes
      Enumeration

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped